GNU bug report logs - #11993
Emacs frames on other display hang during recursive edit on a different display

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: mail@HIDDEN; dated Thu, 19 Jul 2012 16:17:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 19 Jul 2012 16:16:05 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jul 19 12:16:05 2012
Received: from localhost ([127.0.0.1]:50919 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1SrtOV-0008Ha-NP
	for submit <at> debbugs.gnu.org; Thu, 19 Jul 2012 12:16:05 -0400
Received: from eggs.gnu.org ([208.118.235.92]:34661)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <andyglew@HIDDEN>) id 1Srhbv-0004S1-6E
	for submit <at> debbugs.gnu.org; Wed, 18 Jul 2012 23:41:08 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <andyglew@HIDDEN>) id 1SrhVv-0001Eb-Tw
	for submit <at> debbugs.gnu.org; Wed, 18 Jul 2012 23:34:57 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-6.9 required=5.0 tests=BAYES_00,FREEMAIL_FROM,
	HTML_MESSAGE,RCVD_IN_DNSWL_HI,T_DKIM_INVALID autolearn=unavailable
	version=3.3.2
Received: from lists.gnu.org ([208.118.235.17]:37841)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <andyglew@HIDDEN>) id 1SrhVv-0001EX-QL
	for submit <at> debbugs.gnu.org; Wed, 18 Jul 2012 23:34:55 -0400
Received: from eggs.gnu.org ([208.118.235.92]:48933)
	by lists.gnu.org with esmtp (Exim 4.71)
	(envelope-from <andyglew@HIDDEN>) id 1SrhVt-0004vK-TY
	for bug-gnu-emacs@HIDDEN; Wed, 18 Jul 2012 23:34:55 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <andyglew@HIDDEN>) id 1SrhVr-0001Dr-Iy
	for bug-gnu-emacs@HIDDEN; Wed, 18 Jul 2012 23:34:53 -0400
Received: from mail-lb0-f169.google.com ([209.85.217.169]:58820)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <andyglew@HIDDEN>) id 1SrhVr-0001DX-6T
	for bug-gnu-emacs@HIDDEN; Wed, 18 Jul 2012 23:34:51 -0400
Received: by lbjn8 with SMTP id n8so3688013lbj.0
	for <bug-gnu-emacs@HIDDEN>; Wed, 18 Jul 2012 20:34:49 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
	h=mime-version:sender:from:date:x-google-sender-auth:message-id
	:subject:to:content-type;
	bh=uGi6RixIN3yevemTnZZxw4OULGNMmdSXng0T71f+dhs=;
	b=fZkBu0v2atV+eZYd67jMuDuX+tpSJ4VPxpkLAJs6D9Y5E1a5mxxw85IlrFKVecnaFq
	QUYcBBCjjO5o44ED0GqRZUo/A8bBKbyYQvsaJWiletImIfVmjCrEkLs+MtFlRoGk49y6
	S96tKvh7SKA4YLN/9j4lDs+bRsWpSX8j8ZG3m9GqZMhQUQ0pHY6oTNDhr2sugJ6AFLtE
	borHM7NysqAdeUeFXlGtQVjhkDuCPfUfGIHrwAAyHnYy9meTBkcY9gvlr7H4JquPbW7z
	i9pDa928Sm0B1RHpLgGM5H+4ec+Y5xqkMyvVKhmWezz1eitntNhswgVL6wsogxA+kFnQ
	ZfmQ==
Received: by 10.112.17.227 with SMTP id r3mr289409lbd.41.1342668889441; Wed,
	18 Jul 2012 20:34:49 -0700 (PDT)
MIME-Version: 1.0
Received: by 10.114.4.229 with HTTP; Wed, 18 Jul 2012 20:34:19 -0700 (PDT)
From: mail@HIDDEN
Date: Wed, 18 Jul 2012 20:34:19 -0700
X-Google-Sender-Auth: BSSguhiCmsT0S51zN9KFTRkvwck
Message-ID: <CAFjhD7L4J0k7v_yBW5QnfP4OMotCF874F877SH9D8hDTFhtALw@HIDDEN>
Subject: Emacs frames on other display hang during recursive edit on a
	different display
To: bug-gnu-emacs@HIDDEN
Content-Type: multipart/alternative; boundary=bcaec554d84234c54204c5267625
X-detected-operating-system: by eggs.gnu.org: Genre and OS details not
	recognized.
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6 (newer, 3)
X-Received-From: 208.118.235.17
X-Spam-Score: -6.1 (------)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Thu, 19 Jul 2012 12:16:02 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -6.1 (------)

--bcaec554d84234c54204c5267625
Content-Type: text/plain; charset=ISO-8859-1

This bug report will be sent to the Bug-GNU-Emacs mailing list
and the GNU bug tracker at debbugs.gnu.org.  Please check that
the From: line contains a valid email address.  After a delay of up
to one day, you should receive an acknowledgement at that address.

Please write in English if possible, as the Emacs maintainers
usually do not have translators for other languages.

Please describe exactly what actions triggered the bug, and
the precise symptoms of the bug.  If you can, give a recipe
starting from `emacs -Q':



    emacs -Q

        ...opens a frame (X Window)

        ...select that window, use it a bit to see that all works

        ESC-X make-frame-on-display

        ... type in display name
        ... note: in may case, the display is a different VNC session

        ... switch to the just opened emacs frame in that display, use it a
bit
        to see that all works

        ... switch back, again, just to see that all works.

        ... in eother of the frames, type

        ESC-X recursive-edit

        ...  I am still able to work in the frame that initiated the
recursive
        edit.

        ... However, in the other frames of the emacs, while I can select
the
        frame (X Window), and the cursor changes from outline to filled, I
        cannot do anything useful.  The other frame(s) are hung: typing is
not
        accepted, mouse clicks do not move the cursor.

        ... but the frame in which you typed recursive-edit still works

        ... switch back to that frame, type

        ESC-X exit-recursive-edit

        ... everything now works, in all frames.

    Further investigation shows that this hang occurs whenever the
    minibuffer is open in another frame.  I also find

        http://www.mail-archive.com/emacs-pretest-bug@HIDDEN/msg08103.html

    to which Stallman responded:

        Re: Emacs hangs on current display when the minibuffer is
active on another
display
        Richard Stallman
        Wed, 27 Sep 2006 19:15:16 -0700

            If I leave the emacs on one
            display with the minibuffer active, emacs on the other display
does
            not respond to anything until the minibuffer input is resolved
(input
            entered, or quit).

        It is nearly impossible to fix this without making Emacs
        multi-threaded.  I hope that will be done some day, but I
        don't know if anyone is working on it.


    I suppose that I could give up and not report this bug.

    However, (a) reporting that this occurs with recursive-edit as well as
    minibuffer open may help the next person who encounters this bug, and
    (b) while I can imagine ways that the minibuffrer problem may be
    difficult to fix without multithreading (or good non-blocking
    asynchronous I/O), I must admit that I cannot imagine why recursive-edit
    would be like that.

    Also (c) I could swear that I *have* been able to use recursive-edit
    with multiple frames in the past, on older versions of emacs.  However,
I
    cannot reproduce this at the moment - all of the different versions of
    emacs I have access to have this problem.

    (By the way, my apologies for mailing this bug report from Microsoft
    Outlook or Gmail, although it was prepared in EMACS.)

If Emacs crashed, and you have the Emacs process in the gdb debugger,
please include the output from the following gdb commands:
    `bt full' and `xbacktrace'.
For information about debugging Emacs, please read the file
/home/glew/import/emacs/emacs-24.1/install-dir-personal/share/emacs/24.1/etc/DEBUG.


In GNU Emacs 24.1.1 (x86_64-unknown-linux-gnu, GTK+ Version 2.10.4)
 of 2012-07-13 on mipscs587
Windowing system distributor `The XFree86 Project, Inc', version
11.0.40300000
Configured using:
 `configure '--with-gif=no'
 '--prefix=/home/glew/import/emacs/emacs-24.1/install-dir-personal''

Important settings:
  value of $LC_ALL: nil
  value of $LC_COLLATE: nil
  value of $LC_CTYPE: nil
  value of $LC_MESSAGES: nil
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: nil
  value of $LC_TIME: nil
  value of $LANG: C
  value of $XMODIFIERS: nil
  locale-coding-system: nil
  default enable-multibyte-characters: t

Major mode: Lisp Interaction

Minor modes in effect:
  tooltip-mode: t
  mouse-wheel-mode: t
  tool-bar-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  transient-mark-mode: t

Recent input:
<help-echo> <down-mouse-1> <mouse-1> <escape> x m a
k e - f r a m e <tab> - o n <tab> <return> l o c a
l h o s t L : 1 <backspace> <backspace> <backspace>
: 1 2 <return> <switch-frame> <help-echo> <down-mouse-1>
<mouse-1> <escape> x r e c u r s i v e - e d u <backspace>
i t <return> <down-mouse-1> <mouse-1> <escape> x e
x i t - r e c u r s i v e - e d i t <return> <switch-frame>
<down-mouse-1> <mouse-1> <down-mouse-1> <mouse-1> <down-mouse-1>
<mouse-1> q q q <down-mouse-1> <mouse-1> <backspace>
<backspace> <backspace> <escape> x r e p o r t - e
m a c s - b u g <return>

Recent messages:
For information about GNU Emacs and the GNU system, type C-h C-a.

Load-path shadows:
None found.

Features:
(shadow sort gnus-util mail-extr emacsbug message format-spec rfc822 mml
easymenu mml-sec mm-decode mm-bodies mm-encode mail-parse rfc2231
mailabbrev gmm-utils mailheader sendmail regexp-opt rfc2047 rfc2045
ietf-drums mm-util mail-prsvr mail-utils time-date tooltip ediff-hook
vc-hooks lisp-float-type mwheel x-win x-dnd tool-bar dnd fontset image
fringe lisp-mode register page menu-bar rfn-eshadow timer select
scroll-bar mouse jit-lock font-lock syntax facemenu font-core frame cham
georgian utf-8-lang misc-lang vietnamese tibetan thai tai-viet lao
korean japanese hebrew greek romanian slovak czech european ethiopic
indian cyrillic chinese case-table epa-hook jka-cmpr-hook help simple
abbrev minibuffer loaddefs button faces cus-face files text-properties
overlay sha1 md5 base64 format env code-pages mule custom widget
hashtable-print-readable backquote make-network-process dbusbind
dynamic-setting system-font-setting font-render-setting move-toolbar gtk
x-toolkit x multi-tty emacs)

--bcaec554d84234c54204c5267625
Content-Type: text/html; charset=ISO-8859-1
Content-Transfer-Encoding: quoted-printable

<div>This bug report will be sent to the Bug-GNU-Emacs mailing list</div><d=
iv>and the GNU bug tracker at <a href=3D"http://debbugs.gnu.org">debbugs.gn=
u.org</a>. =A0Please check that</div><div>the From: line contains a valid e=
mail address. =A0After a delay of up</div>

<div>to one day, you should receive an acknowledgement at that address.</di=
v><div><br></div><div>Please write in English if possible, as the Emacs mai=
ntainers</div><div>usually do not have translators for other languages.</di=
v>

<div><br></div><div>Please describe exactly what actions triggered the bug,=
 and</div><div>the precise symptoms of the bug. =A0If you can, give a recip=
e</div><div>starting from `emacs -Q&#39;:</div><div><br></div><div><br></di=
v>

<div><br></div><div>=A0 =A0 emacs -Q</div><div><br></div><div>=A0 =A0 =A0 =
=A0 ...opens a frame (X Window)</div><div><br></div><div>=A0 =A0 =A0 =A0 ..=
.select that window, use it a bit to see that all works</div><div><br></div=
><div>=A0 =A0 =A0 =A0 ESC-X make-frame-on-display</div>

<div><br></div><div>=A0 =A0 =A0 =A0 ... type in display name</div><div>=A0 =
=A0 =A0 =A0 ... note: in may case, the display is a different VNC session</=
div><div><br></div><div>=A0 =A0 =A0 =A0 ... switch to the just opened emacs=
 frame in that display, use it a bit</div>

<div>=A0 =A0 =A0 =A0 to see that all works</div><div><br></div><div>=A0 =A0=
 =A0 =A0 ... switch back, again, just to see that all works.</div><div><br>=
</div><div>=A0 =A0 =A0 =A0 ... in eother of the frames, type</div><div><br>=
</div><div>=A0 =A0 =A0 =A0 ESC-X recursive-edit</div>

<div><br></div><div>=A0 =A0 =A0 =A0 ... =A0I am still able to work in the f=
rame that initiated the recursive</div><div>=A0 =A0 =A0 =A0 edit.</div><div=
><br></div><div>=A0 =A0 =A0 =A0 ... However, in the other frames of the ema=
cs, while I can select the</div>

<div>=A0 =A0 =A0 =A0 frame (X Window), and the cursor changes from outline =
to filled, I</div><div>=A0 =A0 =A0 =A0 cannot do anything useful. =A0The ot=
her frame(s) are hung: typing is not</div><div>=A0 =A0 =A0 =A0 accepted, mo=
use clicks do not move the cursor.</div>

<div><br></div><div>=A0 =A0 =A0 =A0 ... but the frame in which you typed re=
cursive-edit still works</div><div><br></div><div>=A0 =A0 =A0 =A0 ... switc=
h back to that frame, type</div><div><br></div><div>=A0 =A0 =A0 =A0 ESC-X e=
xit-recursive-edit</div>

<div><br></div><div>=A0 =A0 =A0 =A0 ... everything now works, in all frames=
.</div><div><br></div><div>=A0 =A0 Further investigation shows that this ha=
ng occurs whenever the</div><div>=A0 =A0 minibuffer is open in another fram=
e. =A0I also find</div>

<div><br></div><div>=A0 =A0 =A0 =A0 <a href=3D"http://www.mail-archive.com/=
emacs-pretest-bug@HIDDEN/msg08103.html">http://www.mail-archive.com/emacs-=
pretest-bug@HIDDEN/msg08103.html</a></div><div><br></div><div>=A0 =A0 to w=
hich Stallman responded:</div>

<div><br></div><div>=A0 =A0 =A0 =A0 Re: Emacs hangs on current display when=
 the minibuffer is active on<span class=3D"Apple-tab-span" style=3D"white-s=
pace:pre">	</span>another display</div><div>=A0 =A0 =A0 =A0 Richard Stallma=
n</div><div>=A0 =A0 =A0 =A0 Wed, 27 Sep 2006 19:15:16 -0700</div>

<div><br></div><div>=A0 =A0 =A0 =A0 =A0 =A0 If I leave the emacs on one</di=
v><div>=A0 =A0 =A0 =A0 =A0 =A0 display with the minibuffer active, emacs on=
 the other display does</div><div>=A0 =A0 =A0 =A0 =A0 =A0 not respond to an=
ything until the minibuffer input is resolved (input</div>

<div>=A0 =A0 =A0 =A0 =A0 =A0 entered, or quit).</div><div><br></div><div>=
=A0 =A0 =A0 =A0 It is nearly impossible to fix this without making Emacs</d=
iv><div>=A0 =A0 =A0 =A0 multi-threaded. =A0I hope that will be done some da=
y, but I</div><div>=A0 =A0 =A0 =A0 don&#39;t know if anyone is working on i=
t.</div>

<div><br></div><div><br></div><div>=A0 =A0 I suppose that I could give up a=
nd not report this bug.</div><div><br></div><div>=A0 =A0 However, (a) repor=
ting that this occurs with recursive-edit as well as</div><div>=A0 =A0 mini=
buffer open may help the next person who encounters this bug, and</div>

<div>=A0 =A0 (b) while I can imagine ways that the minibuffrer problem may =
be</div><div>=A0 =A0 difficult to fix without multithreading (or good non-b=
locking</div><div>=A0 =A0 asynchronous I/O), I must admit that I cannot ima=
gine why recursive-edit</div>

<div>=A0 =A0 would be like that.</div><div><br></div><div>=A0 =A0 Also (c) =
I could swear that I *have* been able to use recursive-edit</div><div>=A0 =
=A0 with multiple frames in the past, on older versions of emacs. =A0Howeve=
r, I</div>
<div>
=A0 =A0 cannot reproduce this at the moment - all of the different versions=
 of</div><div>=A0 =A0 emacs I have access to have this problem.</div><div><=
br></div><div>=A0 =A0 (By the way, my apologies for mailing this bug report=
 from Microsoft</div>

<div>=A0 =A0 Outlook or Gmail, although it was prepared in EMACS.)</div><di=
v><br></div><div>If Emacs crashed, and you have the Emacs process in the gd=
b debugger,</div><div>please include the output from the following gdb comm=
ands:</div>

<div>=A0 =A0 `bt full&#39; and `xbacktrace&#39;.</div><div>For information =
about debugging Emacs, please read the file</div><div>/home/glew/import/ema=
cs/emacs-24.1/install-dir-personal/share/emacs/24.1/etc/DEBUG.</div><div><b=
r>

</div><div><br></div><div>In GNU Emacs 24.1.1 (x86_64-unknown-linux-gnu, GT=
K+ Version 2.10.4)</div><div>=A0of 2012-07-13 on mipscs587</div><div>Window=
ing system distributor `The XFree86 Project, Inc&#39;, version 11.0.4030000=
0</div>

<div>Configured using:</div><div>=A0`configure &#39;--with-gif=3Dno&#39;</d=
iv><div>=A0&#39;--prefix=3D/home/glew/import/emacs/emacs-24.1/install-dir-p=
ersonal&#39;&#39;</div><div><br></div><div>Important settings:</div><div>=
=A0 value of $LC_ALL: nil</div>

<div>=A0 value of $LC_COLLATE: nil</div><div>=A0 value of $LC_CTYPE: nil</d=
iv><div>=A0 value of $LC_MESSAGES: nil</div><div>=A0 value of $LC_MONETARY:=
 nil</div><div>=A0 value of $LC_NUMERIC: nil</div><div>=A0 value of $LC_TIM=
E: nil</div>

<div>=A0 value of $LANG: C</div><div>=A0 value of $XMODIFIERS: nil</div><di=
v>=A0 locale-coding-system: nil</div><div>=A0 default enable-multibyte-char=
acters: t</div><div><br></div><div>Major mode: Lisp Interaction</div><div><=
br>
</div>
<div>Minor modes in effect:</div><div>=A0 tooltip-mode: t</div><div>=A0 mou=
se-wheel-mode: t</div><div>=A0 tool-bar-mode: t</div><div>=A0 menu-bar-mode=
: t</div><div>=A0 file-name-shadow-mode: t</div><div>=A0 global-font-lock-m=
ode: t</div>

<div>=A0 font-lock-mode: t</div><div>=A0 blink-cursor-mode: t</div><div>=A0=
 auto-composition-mode: t</div><div>=A0 auto-encryption-mode: t</div><div>=
=A0 auto-compression-mode: t</div><div>=A0 line-number-mode: t</div><div>=
=A0 transient-mark-mode: t</div>

<div><br></div><div>Recent input:</div><div>&lt;help-echo&gt; &lt;down-mous=
e-1&gt; &lt;mouse-1&gt; &lt;escape&gt; x m a=A0</div><div>k e - f r a m e &=
lt;tab&gt; - o n &lt;tab&gt; &lt;return&gt; l o c a=A0</div><div>l h o s t =
L : 1 &lt;backspace&gt; &lt;backspace&gt; &lt;backspace&gt;=A0</div>

<div>: 1 2 &lt;return&gt; &lt;switch-frame&gt; &lt;help-echo&gt; &lt;down-m=
ouse-1&gt;=A0</div><div>&lt;mouse-1&gt; &lt;escape&gt; x r e c u r s i v e =
- e d u &lt;backspace&gt;=A0</div><div>i t &lt;return&gt; &lt;down-mouse-1&=
gt; &lt;mouse-1&gt; &lt;escape&gt; x e=A0</div>

<div>x i t - r e c u r s i v e - e d i t &lt;return&gt; &lt;switch-frame&gt=
;=A0</div><div>&lt;down-mouse-1&gt; &lt;mouse-1&gt; &lt;down-mouse-1&gt; &l=
t;mouse-1&gt; &lt;down-mouse-1&gt;=A0</div><div>&lt;mouse-1&gt; q q q &lt;d=
own-mouse-1&gt; &lt;mouse-1&gt; &lt;backspace&gt;=A0</div>

<div>&lt;backspace&gt; &lt;backspace&gt; &lt;escape&gt; x r e p o r t - e=
=A0</div><div>m a c s - b u g &lt;return&gt;</div><div><br></div><div>Recen=
t messages:</div><div>For information about GNU Emacs and the GNU system, t=
ype C-h C-a.</div>

<div><br></div><div>Load-path shadows:</div><div>None found.</div><div><br>=
</div><div>Features:</div><div>(shadow sort gnus-util mail-extr emacsbug me=
ssage format-spec rfc822 mml</div><div>easymenu mml-sec mm-decode mm-bodies=
 mm-encode mail-parse rfc2231</div>

<div>mailabbrev gmm-utils mailheader sendmail regexp-opt rfc2047 rfc2045</d=
iv><div>ietf-drums mm-util mail-prsvr mail-utils time-date tooltip ediff-ho=
ok</div><div>vc-hooks lisp-float-type mwheel x-win x-dnd tool-bar dnd fonts=
et image</div>

<div>fringe lisp-mode register page menu-bar rfn-eshadow timer select</div>=
<div>scroll-bar mouse jit-lock font-lock syntax facemenu font-core frame ch=
am</div><div>georgian utf-8-lang misc-lang vietnamese tibetan thai tai-viet=
 lao</div>

<div>korean japanese hebrew greek romanian slovak czech european ethiopic</=
div><div>indian cyrillic chinese case-table epa-hook jka-cmpr-hook help sim=
ple</div><div>abbrev minibuffer loaddefs button faces cus-face files text-p=
roperties</div>

<div>overlay sha1 md5 base64 format env code-pages mule custom widget</div>=
<div>hashtable-print-readable backquote make-network-process dbusbind</div>=
<div>dynamic-setting system-font-setting font-render-setting move-toolbar g=
tk</div>

<div>x-toolkit x multi-tty emacs)</div><div><br></div>

--bcaec554d84234c54204c5267625--




Acknowledgement sent to mail@HIDDEN:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#11993; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Fri, 31 Oct 2014 17:00:04 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.